Subject: Re: [bug#70148] [PATCH] guix-install.sh: Add daemonize to requirements.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 25 May 2024 15:59:23 +0200

Hi,

Simon Tournier <[email-masked]> skribis:

> On sam., 04 mai 2024 at 18:44, Richard Sent <[email-masked]> wrote:
>
>> If OpenRC/systemd does not require daemonize, there's probably a better way to
>> handle this. Perhaps a INITD_REQUIRE variable that's only checked
>> conditionally depending on what init system is detected (aka INIT_SYS).
>
> This appears to me the best solution.  It seems better that the
> requirements stay as minimal as possible for most of users.

+1.  Would be best to ensure the installer doesn’t get in the way of
those using systemd distros.

Could you look into it, Richard?

Ludo’.